"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("@emotion/react/jsx-runtime");
var react_1 = require("@emotion/react");
var react_2 = require("react");
var css_1 = require("../../../utilities/css");
var ItemBase_1 = require("../../base/ItemBase");
var EffectedItem = (0, react_2.forwardRef)(function (props, forwardedRef) {
    var theme = (0, react_1.useTheme)();
    var _a = props.onClick, onClick = _a === void 0 ? function () { } : _a;
    var handleClick = (0, react_2.useCallback)(function (event) {
        (0, css_1.rippleEffect)(event, theme, true);
        onClick(event);
    }, [onClick]);
    return (0, jsx_runtime_1.jsx)(ItemBase_1.ItemBase, __assign({}, props, { ref: forwardedRef, onClick: handleClick }));
});
exports.default = EffectedItem;
