"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("@emotion/react/jsx-runtime");
var react_1 = require("react");
var Styled = require("./style");
var props_1 = require("../../../utilities/props");
/**
 * List Component
 */
var List = (0, react_1.forwardRef)(function (props, forwardedRef) {
    var ordered = props.ordered;
    var Tag = ordered ? Styled.OrderedList : Styled.UnorderedList;
    return (0, jsx_runtime_1.jsx)(Tag, __assign({}, props, { ref: forwardedRef, style: (0, props_1.getStyleProps)(props) }));
});
exports.default = List;
