"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutlinedButton = exports.ContainedButton = exports.TextButton = exports.Button = void 0;
var styled_1 = require("@emotion/styled");
var css_1 = require("../../../constants/css");
var css_2 = require("../../../constants/css");
var css_3 = require("../../../utilities/css");
exports.Button = styled_1.default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  padding: 0 15px;\n  border-radius: 4px;\n  height: 35px;\n  font-size: 16px;\n  &:hover {\n    transition: box-shadow ", "s ease-in-out;\n  }\n  border: none;\n  cursor: pointer;\n"], ["\n  position: relative;\n  padding: 0 15px;\n  border-radius: 4px;\n  height: 35px;\n  font-size: 16px;\n  &:hover {\n    transition: box-shadow ", "s ease-in-out;\n  }\n  border: none;\n  cursor: pointer;\n"])), css_1.TRANSITION_NORMAL);
exports.TextButton = (0, styled_1.default)(exports.Button)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  color: ", ";\n"], ["\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return (0, css_3.getPrimaryColor)(theme);
});
exports.ContainedButton = (0, styled_1.default)(exports.Button)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  color: white;\n  background-color: ", ";\n  &:hover {\n    box-shadow: ", ", ", ";\n  }\n"], ["\n  color: white;\n  background-color: ", ";\n  &:hover {\n    box-shadow: ", ", ", ";\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (0, css_3.getPrimaryColor)(theme);
}, css_2.OUT_SHADOW, css_1.FULL_INSET_SHADOW);
exports.OutlinedButton = (0, styled_1.default)(exports.Button)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: ", ";\n  background-color: white;\n  border: 1px solid ", ";\n  &:hover {\n    box-shadow: ", ";\n  }\n"], ["\n  color: ", ";\n  background-color: white;\n  border: 1px solid ", ";\n  &:hover {\n    box-shadow: ", ";\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (0, css_3.getPrimaryColor)(theme);
}, function (_a) {
    var theme = _a.theme;
    return (0, css_3.getPrimaryColor)(theme);
}, css_2.OUT_SHADOW);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
