var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import styled from "@emotion/styled";
import { FULL_INSET_SHADOW, TRANSITION_NORMAL } from "../../../constants/css";
import { OUT_SHADOW } from "../../../constants/css";
import { getPrimaryColor } from "../../../utilities/css";
export var Button = styled.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  padding: 0 15px;\n  border-radius: 4px;\n  height: 35px;\n  font-size: 16px;\n  &:hover {\n    transition: box-shadow ", "s ease-in-out;\n  }\n  border: none;\n  cursor: pointer;\n"], ["\n  position: relative;\n  padding: 0 15px;\n  border-radius: 4px;\n  height: 35px;\n  font-size: 16px;\n  &:hover {\n    transition: box-shadow ", "s ease-in-out;\n  }\n  border: none;\n  cursor: pointer;\n"])), TRANSITION_NORMAL);
export var TextButton = styled(Button)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  color: ", ";\n"], ["\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return getPrimaryColor(theme);
});
export var ContainedButton = styled(Button)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  color: white;\n  background-color: ", ";\n  &:hover {\n    box-shadow: ", ", ", ";\n  }\n"], ["\n  color: white;\n  background-color: ", ";\n  &:hover {\n    box-shadow: ", ", ", ";\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return getPrimaryColor(theme);
}, OUT_SHADOW, FULL_INSET_SHADOW);
export var OutlinedButton = styled(Button)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: ", ";\n  background-color: white;\n  border: 1px solid ", ";\n  &:hover {\n    box-shadow: ", ";\n  }\n"], ["\n  color: ", ";\n  background-color: white;\n  border: 1px solid ", ";\n  &:hover {\n    box-shadow: ", ";\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return getPrimaryColor(theme);
}, function (_a) {
    var theme = _a.theme;
    return getPrimaryColor(theme);
}, OUT_SHADOW);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
