var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import * as Styled from "../style";
import { useTheme } from "@emotion/react";
import { getDefaultColor } from "../../../../utilities/css";
export var WEEKDAYS = ["MON", "TUE", "WED", "THU", "FRI", "SAT", "SUN"];
var Weekdays = function (props) {
    var _a = props.weekdays, weekdays = _a === void 0 ? WEEKDAYS : _a, _b = props.mondayFirst, mondayFirst = _b === void 0 ? true : _b, _c = props.weekendColor, weekendColor = _c === void 0 ? true : _c;
    var theme = useTheme();
    if (!mondayFirst) {
        var LAST = weekdays.pop();
        LAST && weekdays.unshift(LAST);
    }
    return (_jsx(Styled.Weekdays, { children: weekdays.map(function (item, index) {
            var saturday = mondayFirst ? index === 5 : index === 6;
            var sunday = mondayFirst ? index === 6 : index === 0;
            var color = getDefaultColor(theme);
            if (saturday && weekendColor)
                color = "rgba(0, 0, 255, 0.5)";
            if (sunday && weekendColor)
                color = "rgba(255, 0, 0, 0.5)";
            return (_jsx(Styled.Weekday, __assign({ style: { color: color } }, { children: item }), index));
        }) }));
};
export default Weekdays;
