import React, { ReactElement } from "react";
import { InputOnchangeProperty, InputPlaceholderProperty, InputValueProperty } from "../../../types/props";
import * as StyleProps from "../../../types/props/style";
import { OptionProps } from "./Option";
import { InputOnFoucsProperty } from "../../../types/props/tags/input";
declare type Children = ReactElement<OptionProps>;
interface SelectListProps extends StyleProps.CommonAbbrProps {
    searchable?: boolean;
    showItemCount?: number;
    children?: Children | Array<Children>;
    value: InputValueProperty;
    placeholder?: InputPlaceholderProperty;
    onChange: InputOnchangeProperty;
    onFocus?: InputOnFoucsProperty;
    onSearch?: InputOnchangeProperty;
    style?: React.CSSProperties;
    listStyle?: React.CSSProperties;
    itemStyle?: React.CSSProperties;
}
declare const Select: React.ForwardRefExoticComponent<SelectListProps & StyleProps.AllProperties & React.RefAttributes<HTMLInputElement>>;
export default Select;
