var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { forwardRef, useRef } from "react";
import * as Styled from "./style";
import { getStyleProps } from "../../../utilities/props";
var DIRECTIONS = {
    horizontal: "horizontal",
    vertical: "vertical",
};
/**
 * Divider Component
 */
var Divider = forwardRef(function (props, forwardedRef) {
    var _a, _b, _c, _d, _e, _f, _g;
    var direction = props.direction, label = props.label, labelStyle = props.labelStyle;
    var labelRef = useRef(null);
    var border = direction === "horizontal"
        ? {
            borderTopStyle: (_a = props.borderStyle) !== null && _a !== void 0 ? _a : "solid",
            borderTopColor: (_b = props.borderColor) !== null && _b !== void 0 ? _b : "gray",
            borderTopWidth: (_c = props.borderWidth) !== null && _c !== void 0 ? _c : "1px",
        }
        : {
            borderRightStyle: (_d = props.borderStyle) !== null && _d !== void 0 ? _d : "solid",
            borderRightColor: (_e = props.borderColor) !== null && _e !== void 0 ? _e : "gray",
            borderRightWidth: (_f = props.borderWidth) !== null && _f !== void 0 ? _f : "1px",
        };
    var style = __assign(__assign({ width: direction === "horizontal" ? "100%" : props.borderWidth, height: props.direction === "horizontal" ? "initial" : "100%" }, border), props.style);
    return (_jsxs(Styled.Container, __assign({ height: (_g = labelRef.current) === null || _g === void 0 ? void 0 : _g.clientHeight, style: getStyleProps(props) }, { children: [_jsx("div", __assign({}, props, { ref: forwardedRef, style: style })), _jsx(Styled.Label, __assign({ ref: labelRef, style: labelStyle }, { children: label }))] })));
});
export default Divider;
