import { useEffect } from "react";
/**
 * Moves the scroll to the position
 * @param ref dom with scroll
 * @param position scroll position
 * @param active active
 */
var useSetScrollPosition = function (ref, position, active) {
    useEffect(function () {
        if (ref.current && active) {
            ref.current.scrollTop = position;
        }
    }, [active]);
};
export default useSetScrollPosition;
