export var dispatchChange = function (ref, value) {
    var _a;
    var input = (_a = ref.current) === null || _a === void 0 ? void 0 : _a.getElementsByTagName("input")[0];
    if (input) {
        var lastValue = input.value;
        input.value = value;
        var event_1 = new Event("input", { bubbles: true });
        var tracker = input._valueTracker;
        if (tracker) {
            tracker.setValue(lastValue);
        }
        input.dispatchEvent(event_1);
    }
};
