import * as StyleProps from "../../../types/props/style";
import React from "react";
import { InputOnchangeProperty } from "../../../types/props";
import { InputOnFoucsProperty } from "../../../types/props/tags/input";
import { ListItemOnClickProperty } from "../../../types/props/tags/listItem";
interface DatePickerProps extends StyleProps.CommonAbbrProps {
    weekdays?: Array<string>;
    mondayFirst?: boolean;
    weekendColor?: boolean;
    value: string;
    onChange: InputOnchangeProperty;
    onClick?: ListItemOnClickProperty;
    onFocus?: InputOnFoucsProperty;
    onSearch?: InputOnchangeProperty;
    style?: React.CSSProperties;
    listContainerStyle?: React.CSSProperties;
    listStyle?: React.CSSProperties;
    itemStyle?: React.CSSProperties;
}
declare const DatePicker: React.ForwardRefExoticComponent<DatePickerProps & StyleProps.AllProperties & React.RefAttributes<HTMLInputElement>>;
export default DatePicker;
