import * as StyleProps from "../../../types/props/style";
import React from "react";
import { InputOnchangeProperty } from "../../../types/props";
import { InputOnFoucsProperty } from "../../../types/props/tags/input";
interface TimePickerProps extends StyleProps.CommonAbbrProps {
    show24Hour?: boolean;
    showSeconds?: boolean;
    showItemCount?: number;
    value: string;
    onChange: InputOnchangeProperty;
    onFocus?: InputOnFoucsProperty;
    onSearch?: InputOnchangeProperty;
    style?: React.CSSProperties;
    listStyle?: React.CSSProperties;
    itemStyle?: React.CSSProperties;
}
declare const TimePicker: React.ForwardRefExoticComponent<TimePickerProps & StyleProps.AllProperties & React.RefAttributes<HTMLInputElement>>;
export default TimePicker;
