"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
/**
 * Moves the scroll to the position
 * @param ref dom with scroll
 * @param position scroll position
 * @param active active
 */
var useSetScrollPosition = function (ref, position, active) {
    (0, react_1.useEffect)(function () {
        if (ref.current && active) {
            ref.current.scrollTop = position;
        }
    }, [active]);
};
exports.default = useSetScrollPosition;
