var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useTheme } from "@emotion/react";
import { forwardRef, useCallback } from "react";
import { rippleEffect } from "../../../utilities/css";
import { ItemBase } from "../../base/ItemBase";
var EffectedItem = forwardRef(function (props, forwardedRef) {
    var theme = useTheme();
    var _a = props.onClick, onClick = _a === void 0 ? function () { } : _a;
    var handleClick = useCallback(function (event) {
        rippleEffect(event, theme, true);
        onClick(event);
    }, [onClick]);
    return _jsx(ItemBase, __assign({}, props, { ref: forwardedRef, onClick: handleClick }));
});
export default EffectedItem;
