var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { forwardRef } from "react";
import * as Styled from "./style";
import { getStyleProps } from "../../../utilities/props";
/**
 * List Component
 */
var List = forwardRef(function (props, forwardedRef) {
    var ordered = props.ordered;
    var Tag = ordered ? Styled.OrderedList : Styled.UnorderedList;
    return _jsx(Tag, __assign({}, props, { ref: forwardedRef, style: getStyleProps(props) }));
});
export default List;
