import { MouseEvent } from "react";
import { Theme } from "@emotion/react";
export declare const getColorByStatus: (active: boolean, theme: Theme) => string;
export declare const getPrimaryColor: (theme: Theme) => string;
export declare const getDefaultColor: (theme: Theme) => string;
/**
 * Generate Ripple Effect at Button Click
 * @param event
 * @param theme
 * @param primary
 */
export declare const rippleEffect: (event: MouseEvent<HTMLElement>, theme: Theme, primary: boolean) => void;
